import React from 'react';

export const Dropdown = ({ options, id, selectedXValue, onSelectedXValueChange }) => (
  <select id={id} onChange={event => onSelectedXValueChange(event.target.value)}>
    {options.map(({ value, label }) => (
      <option value={value} selected={value === selectedXValue}>
        {label}
      </option>
    ))}
  </select>
);